Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Package ipaddress only needed in Python 2 #368

Closed
jensens opened this Issue Oct 5, 2018 · 0 comments

Comments

2 participants
@jensens
Copy link
Contributor

jensens commented Oct 5, 2018

ipaddress is part of Python 3.3+ standard library.

Zope/setup.py

Line 73 in 6806c48

'ipaddress',

It works as-is, but one get then the following at buildout time.

/home/workspacejensens/cdev/plone5.2/py3/lib/python3.6/site-packages/zc/buildout/easy_install.py:591: UserWarning: Module ipaddress was already imported from /usr/lib/python3.6/ipaddress.py, but /home/jensens/.buildout/shared-eggs/ipaddress-1.0.22-py3.6.egg is being added to sys.path

@icemac icemac added this to To do in Zope 4 final release via automation Oct 10, 2018

@icemac icemac added this to the 4.0b7 milestone Oct 16, 2018

@icemac icemac closed this in #370 Oct 23, 2018

Zope 4 final release automation moved this from To do to Done Oct 23, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.